Subject: Re: [smartpowerdir] IETF activities on Smart Grid

From: Fred Baker <[email-masked]>
Date: Tue, 8 Feb 2011 15:35:09 -0800

On Feb 6, 2011, at 4:59 AM, Su, David H. wrote:

> Fred,
> As part of ITU-T Focused Group on Smart Grid activities, we would like to have a short paragraph describing SDOs smart grid activities.  I am supposed to look for input from IETF, could you help me on this.
> 
> I knew at the beginning there is a group established directly under Russ, and recently there is a new area (?) setup on something related to smart grid.  It looks like there are lots of things going on there.

I'm copying the architecture list and the IETF's Smart Power "Interest" list, as they also periodically wonder about these things. This is a roll-up of IETF activity related to the Smart Grid. There may be other efforts I'm not aware of.

There continues to be a directorate, and I chair it. Since the actual work is done in working groups and this is primarily a discussion body, there isn't much to report from the directorate itself.

In the IETF - we have four working groups that have related topics: 6lowpan, roll, core, and eman. We also have a variety of smaller efforts that mention a relationship to the Smart Grid or sensor networks in general. The charters for these working groups are respectively:

http://datatracker.ietf.org/wg/6lowpan/charter/
http://datatracker.ietf.org/wg/roll/charter/
http://datatracker.ietf.org/wg/core/charter/
http://datatracker.ietf.org/wg/eman/charter/

6lowpan and roll are in a semi-quiescent phase, as their protocols are complete and they are working on deployment issues. Core is actively developing a model for what you might call HTTP/UDP, which some people think may be useful in the HAN. My personal opinion there is that current HAN models use various protocols on TCP without significant problems. Eman is a newly chartered effort. Per its charter, "The basic objective of energy management is operating communication networks and other equipments with a minimal amount of energy while still providing sufficient performance to meet service level objectives." This is a little different than operating the electrical grid, but it may have applicability in the HAN or AMI.

Note that none of these are being developed specifically for the Smart Grid. They are if anything targeted at sensor networks, of which parts of the Smart Grid are examples. However, they are intended to be useful to the Smart Grid.

http://www.ietf.org/rfc/rfc5548.txt
5548 Routing Requirements for Urban Low-Power and Lossy Networks. M.
     Dohler, Ed., T. Watteyne, Ed., T. Winter, Ed., D. Barthel, Ed.. May
     2009. (Format: TXT=47759 bytes) (Status: INFORMATIONAL)

This is a requirements document; it describes the problem that the RPL protocol, developed by the roll working group, is intended to solve.

Status: http://datatracker.ietf.org/doc/draft-arkko-ipv6-transition-guidelines
Document: http://tools.ietf.org/html/draft-arkko-ipv6-transition-guidelines
  "Guidelines for Using IPv6 Transition Mechanisms during IPv6
  Deployment", Jari Arkko, Fred Baker, 27-Dec-10,

This is a general document on how to convert a network from IPv4-only to IPv4+IPv6, and eventually to IPv6-only. It is intended as guidance for networks that are part of the Internet. Its comment on the Smart Grid is "specialized machine- to-machine networks that communicate only to designated servers, such as Smart Grids, can easily be deployed as IPv6-only networks."

Status: http://datatracker.ietf.org/doc/draft-baker-ietf-core
Document: http://tools.ietf.org/html/draft-baker-ietf-core
  "Internet Protocols for the Smart Grid", Fred Baker, Dave Meyer,
  11-Nov-10

This document was developed in response to a request from NIST and subsequently from the SGIP. It is currently in its IESG review cycle prior to publication.

Status: http://datatracker.ietf.org/doc/draft-c1222-transport-over-ip
Document: http://tools.ietf.org/html/draft-c1222-transport-over-ip
  "ANSI C12.22, IEEE 1703 and MC12.22 Transport Over IP", Avygdor Moise,
  Jonathan Brodkin, 10-Jan-11

This is an informational document (not a standard), describing how to tunnel an ANSI C12.22 network over an IP network. It s in the RFC Editor's queue.

Status: http://datatracker.ietf.org/doc/draft-campagna-suitee
Document: http://tools.ietf.org/html/draft-campagna-suitee
  "A Cryptographic Suite for Embedded Systems (SuiteE)", Matthew Campagna,
  Greg Zaverucha, 18-Oct-10

This is a proprietary protocol suite that may be useful in cases where NIST-approved encryption is not strictly necessary.

I started to go through and try to summarize the state of all of the following. Since this has been sitting on my desktop for over 24 hours now, I figure it's going to take longer than you need it to. So - the following are on the table and mention applicability to the Smart Grid. If you have specific questions, you can query the authors of any given draft by sending an email to

           <draft name>@tools.ietf.org

for example, [email-masked] include Claise, Chandramouli, Parello, and Schoening.

Status: http://datatracker.ietf.org/doc/draft-claise-energy-monitoring-mib
Document: http://tools.ietf.org/html/draft-claise-energy-monitoring-mib
  "Power and Energy Monitoring MIB", Benoit Claise, Mouli Chandramouli,
  John Parello, Brad Schoening, 19-Oct-10,

Status: http://datatracker.ietf.org/doc/draft-claise-power-management-arch
Document: http://tools.ietf.org/html/draft-claise-power-management-arch
  "Power Management Architecture", Benoit Claise, John Parello, Brad
  Schoening, 22-Oct-10

Status: http://datatracker.ietf.org/doc/draft-ietf-6lowpan-usecases
Document: http://tools.ietf.org/html/draft-ietf-6lowpan-usecases
  "Design and Application Spaces for 6LoWPANs", Eunsook Kim, Dominik
  Kaspar, Nicolas Chevrollier, JP Vasseur, 18-Jan-11,

Status: http://datatracker.ietf.org/doc/draft-ietf-eman-energy-aware-mib
Document: http://tools.ietf.org/html/draft-ietf-eman-energy-aware-mib
  "Energy-aware Networks and Devices MIB", Benoit Claise, John Parello,
  22-Dec-10

Status: http://datatracker.ietf.org/doc/draft-ietf-eman-framework
Document: http://tools.ietf.org/html/draft-ietf-eman-framework
  "Energy Management Framework", Benoit Claise, John Parello, Brad
  Schoening, 22-Dec-10

Status: http://datatracker.ietf.org/doc/draft-ietf-roll-terminology
Document: http://tools.ietf.org/html/draft-ietf-roll-terminology
  "Terminology in Low power And Lossy Networks", JP Vasseur, 20-Sep-10,

Status: http://datatracker.ietf.org/doc/draft-lee-iot-problem-statement
Document: http://tools.ietf.org/html/draft-lee-iot-problem-statement
  "The Internet of Things - Concept and Problem Statement", Ning Kong,
  Noel Crespi, Gyu Myoung Lee, JungSoo Park, 18-Oct-10,

Status: http://datatracker.ietf.org/doc/draft-mrw-nat66
Document: http://tools.ietf.org/html/draft-mrw-nat66
  "IPv6-to-IPv6 Network Prefix Translation", Margaret Wasserman, Fred
  Baker, 28-Jan-11

Status: http://datatracker.ietf.org/doc/draft-oflynn-core-bootstrapping
Document: http://tools.ietf.org/html/draft-oflynn-core-bootstrapping
  "Security Bootstrapping of Resource-Constrained Devices", Behcet
  Sarikaya, Yoshihiro Ohba, Zhen Cao, Robert Cragie, 7-Nov-10,

Status: http://datatracker.ietf.org/doc/draft-oreirdan-mody-bot-remediation
Document: http://tools.ietf.org/html/draft-oreirdan-mody-bot-remediation
  "Recommendations for the Remediation of Bots in ISP Networks", Jason
  Livingood, Nirmal Mody, Comcast Communications, 2-Dec-10,

Status: http://datatracker.ietf.org/doc/draft-sarikaya-core-sbootstrapping
Document: http://tools.ietf.org/html/draft-sarikaya-core-sbootstrapping
  "Security Bootstrapping of Resource-Constrained Devices", Behcet
  Sarikaya, Yoshihiro Ohba, Zhen Cao, Robert Cragie, 24-Jan-11,

Status: http://datatracker.ietf.org/doc/draft-tychon-eman-applicability-statement
Document: http://tools.ietf.org/html/draft-tychon-eman-applicability-statement
  "Energy Management (EMAN) Applicability Statement", Emmanuel Tychon,
  Matthew Laherty, Brad Schoening, 16-Oct-10,